Create Run Attachment
curl --request POST \
--url https://api.cyberdesk.io/v1/run-attachments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"content": "<string>",
"content_type": "<string>",
"target_path": "<string>",
"cleanup_imports_after_run": false,
"expires_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.cyberdesk.io/v1/run-attachments"
payload = {
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"content": "<string>",
"content_type": "<string>",
"target_path": "<string>",
"cleanup_imports_after_run": False,
"expires_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
run_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
filename: '<string>',
content: '<string>',
content_type: '<string>',
target_path: '<string>',
cleanup_imports_after_run: false,
expires_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.cyberdesk.io/v1/run-attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"filename": "<string>",
"content_type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"size_bytes": 123,
"storage_path": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"target_path": "<string>",
"cleanup_imports_after_run": false,
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}run-attachments
Create Run Attachment
Create a new run attachment.
This endpoint is primarily for internal use. File uploads typically happen through the run creation endpoint.
POST
/
v1
/
run-attachments
Create Run Attachment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Unique key for idempotent requests. If provided, the server ensures the request is processed at most once. Retries with the same key return the original response. SDKs auto-generate this for write requests.
Example:
"550e8400-e29b-41d4-a716-446655440000"
Body
application/json
Schema for creating a run attachment
Base64 encoded file content
Available options:
input, output Response
Successful Response
Run attachment response schema
Available options:
input, output Was this page helpful?
⌘I